Outils d'édition respectueux des standards

 

Créer dès le début du code inter-navigateurs vous économisera beaucoup de temps durant les tests qualité de votre contenu Web. Les quelques éditeurs ci dessous respectent les standards du W3C. Si vous utilisez une ancienne version d'un de ces outils qui se base sur les bogues d'anciennes générations de navigateur ou génère du code spécifique à un navigateur, l'heure de la mise à jour a peut être sonné :

Mise à jour d'anciennes versions pour les rendre compatibles avec les standards :

Quelques avertissements : Il se peut que les outils édités par Namo génèrent du code spécifique à IE ou à Netscape 4, ce qui peut vous obliger à déboguer votre code avant qu'il soit compatible avec les navigateurs respectant les standards. Les versions récentes de Microsoft FrontPage™ ont été améliorées, cependant, faites attention de ne pas utiliser d'extensions spécifiques à FrontPage pour le contenu important de votre site Web ou pour une fonctionnalité cruciale. Certaines versions de Microsoft Word créent du code HTML imparfait qui ne fonctionne qu'avec Internet Explorer. Validez toujours vos pages Web.

Autres liens

Informations sur le document original

  • Dernière mise à jour : 30 janvier 2003
  • Copyright : © 2001-2003 Netscape. All rights reserved.

 

Étiquettes et contributeurs liés au document

Étiquettes :
Contributeurs ayant participé à cette page : tregagnon, Fredchat, VincentN, Chbok, Delapouite, Mgjbot
Dernière mise à jour par : tregagnon,